import * as React from 'react';
import { IEditorInput } from '@workbench-stack/core';
export declare type IEditorComponentProps = {
    input: IEditorInput;
    visibleEditorId: string;
};
declare type IEditorSlotProps = {
    input: IEditorInput;
};
export declare const EditorContributionFill: {
    (props: IEditorComponentProps | {
        children: (api: IEditorComponentProps) => React.ReactNode;
    } | {
        render: (api: IEditorComponentProps) => React.ReactNode;
    }): JSX.Element;
    displayName: string;
}, EditorSlot: {
    (props: {
        fillProps: IEditorComponentProps;
    }): JSX.Element;
    displayName: string;
};
export declare const Editor: React.FC<IEditorSlotProps>;
export {};
